# Generated from GemCodebreaker-0.2.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name GemCodebreaker

Name: rubygem-%{gem_name}
Version: 0.2.1
Release: 1%{?dist}
Summary: Codebreaker Game
License: MIT
URL: https://github.com/vasivaas/GemCodebreaker
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3.0
# BuildRequires: rubygem(fasterer) >= 0.8.3
# BuildRequires: rubygem(fasterer) < 0.9
# BuildRequires: rubygem(rspec) >= 3.7.0
# BuildRequires: rubygem(rspec) < 3.8
# BuildRequires: rubygem(rubocop) >= 0.84.0
# BuildRequires: rubygem(rubocop) < 0.85
# BuildRequires: rubygem(rubocop-performance) >= 1.6.1
# BuildRequires: rubygem(rubocop-performance) < 1.7
# BuildRequires: rubygem(rubocop-rspec) >= 1.41.0
# BuildRequires: rubygem(rubocop-rspec) < 1.42
# BuildRequires: rubygem(simplecov) >= 0.18.5
# BuildRequires: rubygem(simplecov) < 0.19
BuildArch: noarch

%description
This gem for Codebreaker Game.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.circleci
%{gem_instdir}/.fasterer.yml
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/gem_codebreaker.gemspec

%changelog
* Mon Aug 23 2021 mockbuilder - 0.2.1-1
- Initial package
